using System;
using System.Collections.Generic;
using System.Text;
using WebChat.DAL;
using WebChat.Models;

namespace WebChat.BLL
{

    public static partial class UserManager
    {
        public static bool Login(string loginId, string loginPwd, out User validUser)
        {
            return UserService.Login(loginId, loginPwd, out validUser);
        }

        public static bool AddUser(User user)
        {
            return UserService.AddUser(user);
        }       

        public static IList<User> GetAllNormalUsers()
        {
            return UserService.GetAllNormalUsers();
        }

        //ûõûϢ
        public static IList<User> GetSelectedUsers(string Name)
        {
            return UserService.GetSelectUsers(Name);
        }

        //ûûϢ
        public static string[] GetUsersByPreName(string foreName, int count)
        {
            return UserService.GetUsersByPreName(foreName, count);
        } 
    }
}
