using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using WebChat.Models;

namespace WebChat.DAL
{
    public static partial class UserService
    {      
        public static bool Login(string loginId, string loginPwd, out User validUser)
        {
            User user;
            user = GetUserByLoginId(loginId);

            if (user == null)
            {
                //û 
                validUser = null;
                return false;                
            }
            
            if (user.LoginPwd == loginPwd)
            {
                validUser = user;
                return true;
            }
            else
            {
                //
                validUser = null;
                return false;
            }
        }        

        public static IList<User> GetAllNormalUsers()
        {
            string sql = "SELECT * FROM users WHERE userstateid = 1";
            return GetUsersBySql(sql);
        }

        //ûõûϢ
        public static IList<User> GetSelectUsers(string Name)
        {
            string sql = "SELECT * FROM users WHERE name like '%"+Name+"%'";
            return GetUsersBySql(sql);
        }

        //ûǰ׺û
        public static string[] GetUsersByPreName(string foreName, int count)
        {
            IList<User> users = new List<User>();
            List<string> results = new List<string>(count);
            string sqlAll = "select * from Users where name like '" + foreName + "%'";
            users = GetUsersBySql(sqlAll);
            foreach (User item in users)
            {
                results.Add(item.Name);
            }
            return results.ToArray();
        }     
    }
}
