﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using WebChat.BLL;
using WebChat.Models;

public partial class Index : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void imgBtnLogin_Click(object sender, ImageClickEventArgs e)
    {
        User user;
        if (UserManager.Login(this.txt_LoginId.Text, this.txt_LoginPwd.Text, out user))
        {
            div1.Style.Add("display", "none");            
            System.Threading.Thread.Sleep(2000);
            div2.Style.Add("display", "block");
            lblUserInfo.Text = "您好："+user.Name;
            Session["CurrentUser"] = user;
            if (user.LoginId == "admin")
            {
                imgBtnManage.Visible = true;
            }
            else
            {
                imgBtnManage.Visible = false;
            }
        }
        else
        {
            ScriptManager.RegisterStartupScript(imgBtnLogin, this.GetType(), "warning", "alert('用户名或密码不正确，请重新填写')", true);
        }
    }
    protected void imgBtnManage_Click(object sender, ImageClickEventArgs e)
    {       
        Response.Redirect("SysManage/UserManage.aspx"); 
    }
    protected void imgBtnChat_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("Chat/ChatMain.aspx");
    }
    protected void imgBtnRegister_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("SysManage/Register.aspx");
    }
}
