﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Sys.master" CodeFile="UserDetails.aspx.cs" Inherits="SysManage_UserDetails" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="font-size:small" align="left">
        <asp:DetailsView ID="dvUser" runat="server" DataSourceID="odsUser" DataKeyNames="Id"
            Height="50px" Width="95%" AutoGenerateRows="False" BackColor="White" BorderColor="#DEDFDE" BorderStyle="None" BorderWidth="1px" CellPadding="4" ForeColor="Black" GridLines="Vertical">
            <FooterStyle BackColor="#CCCC99" />
            <EditRowStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#F7F7DE" />
            <PagerStyle BackColor="#F7F7DE" ForeColor="Black" HorizontalAlign="Right" />
            <Fields>
<asp:BoundField ReadOnly="True" DataField="Id" SortExpression="Id" HeaderText="用户Id"></asp:BoundField>
<asp:BoundField ReadOnly="True" DataField="LoginId" SortExpression="LoginId" HeaderText="用户名"></asp:BoundField>
<asp:TemplateField SortExpression="UserName" HeaderText="姓名"><EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Name") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBox1"
                            ErrorMessage="请请填写姓名"></asp:RequiredFieldValidator>
                    
</EditItemTemplate>
<InsertItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Name") %>'></asp:TextBox>
                    
</InsertItemTemplate>
<ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Name") %>'></asp:Label>
                    
</ItemTemplate>
</asp:TemplateField>
<asp:TemplateField SortExpression="Phone" HeaderText="电话"><EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Phone") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ControlToValidate="TextBox2" ID="RequiredFieldValidator2" runat="server" ErrorMessage="请请填写电话"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="TextBox2"
                            ErrorMessage="电话号码输入不正确" ValidationExpression="(\(\d{3}\)|\d{3}-)?\d{8}"></asp:RegularExpressionValidator>
                    
</EditItemTemplate>
<InsertItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Phone") %>'></asp:TextBox>
                    
</InsertItemTemplate>
<ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("Phone") %>'></asp:Label>
                    
</ItemTemplate>
</asp:TemplateField>
<asp:TemplateField SortExpression="Address" HeaderText="地址"><EditItemTemplate>
                        <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Address") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextBox3"
                            ErrorMessage="请输入地址"></asp:RequiredFieldValidator>
                    
</EditItemTemplate>
<InsertItemTemplate>
                        <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Address") %>'></asp:TextBox>
                    
</InsertItemTemplate>
<ItemTemplate>
                        <asp:Label ID="Label3" runat="server" Text='<%# Bind("Address") %>'></asp:Label>
                    
</ItemTemplate>
</asp:TemplateField>
<asp:TemplateField SortExpression="Mail" HeaderText="EMail"><EditItemTemplate>
                        &nbsp;<asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("Mail") %>'></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="TextBox4"
                            ErrorMessage="请输入Email地址"></asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ControlToValidate="TextBox4"
                            ErrorMessage="Email地址不正确" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                    
</EditItemTemplate>
<InsertItemTemplate>
                        <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("Mail") %>'></asp:TextBox>
                    
</InsertItemTemplate>
<ItemTemplate>
                        <asp:Label ID="Label4" runat="server" Text='<%# Bind("Mail") %>'></asp:Label>
                    
</ItemTemplate>
</asp:TemplateField>
<asp:CommandField ShowEditButton="True"></asp:CommandField>
</Fields>
            <HeaderStyle BackColor="#6B696B" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:DetailsView>
    
    </div>
        <asp:ObjectDataSource ID="odsUser" runat="server" SelectMethod="GetUserById"  TypeName="WebChat.BLL.UserManager"> 
            <SelectParameters>
<asp:Parameter Type="Int32" Name="id"></asp:Parameter>
</SelectParameters>
        </asp:ObjectDataSource>  
 
</asp:Content>
