﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class SysManage_UserManage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            gvMain.DataSource = objdsUsers;
            gvMain.DataBind();
        }
    }

    protected void gvMain_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            LinkButton lb = e.Row.FindControl("linb_Delete") as LinkButton;
            lb.Attributes.Add("onclick", "return confirm('确认删除吗？')");
        }
    }

    protected void gvMain_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "View")//浏览详细信息
        {
            Response.Redirect("UserDetails.aspx?Id=" + e.CommandArgument.ToString());
        }
    }

    protected void imgBtnSearch_Click(object sender, ImageClickEventArgs e)
    {
        if (string.IsNullOrEmpty(txtPreName.Text))//如果用户名提示为空则显示所有用户
        {
            gvMain.DataSource = objdsUsers;
            gvMain.DataBind();
        }

        else
        {
            gvMain.DataSource = objdsSelectedUsers;
            gvMain.DataBind();
        }
    }
}
