using System;
using System.Collections.Generic;
using System.Text;
using WebChat.DAL;
using WebChat.Models;

namespace WebChat.BLL
{
    public class MessageManager
    {
        public static IList<Message> GetPublicMessages()
        {
            return MessageService.GetTopMessages(2,null);
        }

        public static IList<Message> GetSecretMessages(User user)
        {
            return MessageService.GetTopMessages(1,user);
        }

        public static Message GetMessagesById(int id)
        {
            return MessageService.GetMessagesById(id);
        }

        public static bool AddMessage(Message message)
        {
            return MessageService.AddMessage(message);
        }
    }
}
