using System;
using System.Data;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Text;
using WebChat.Models;

namespace WebChat.DAL
{
    public static partial class SysFunService
    {
        public static IList<SysFun> GetParentNodes()
        {
            string sql = "select * from SysFun where parentnodeid='0' order by nodeid";
            return GetSysFunBySql(sql);
        }

        public static IList<SysFun> GetChildNodes(int nodeId)
        {
            string sql = "select * from SysFun where parentnodeid='" + nodeId + "' order by nodeid";
            return GetSysFunBySql(sql);
        }

        private static IList<SysFun> GetSysFunBySql(string safeSql)
        {
            List<SysFun> list = new List<SysFun>();

            try
            {
                DataTable table = DBHelper.GetDataSet(safeSql);

                foreach (DataRow row in table.Rows)
                {
                    SysFun sFun = new SysFun();

                    sFun.NodeId = (int)row["NodeId"];
                    sFun.DisplayName = (string)row["DisplayName"];
                    sFun.ParentNodeId = (int)row["parentnodeid"];
                    sFun.URL = (string)row["url"];
                    list.Add(sFun);
                }

                return list;
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }
        }
    }
}
